Bug 1357407 - Automatic Provides for Python RPM Packages
Summary: Automatic Provides for Python RPM Packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact:
URL:
Whiteboard: ChangeAcceptedF25, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 07:14 UTC by Jan Kurik
Modified: 2017-10-12 10:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-05 14:18:09 UTC


Attachments (Terms of Use)

Description Jan Kurik 2016-07-18 07:14:31 UTC
This is a tracking bug for Change: Automatic Provides for Python RPM Packages
For more details, see: https://fedoraproject.org//wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

Upon building Python packages containing packaging metadata, RPM will automatically detect the standardized name of the software (i.e. dist name, name on PyPI) in the canonical format[1] and create a virtual Provides tag with the value pythonX.Ydist(CANONICAL_NAME), where X.Y is the used Python version.

Comment 1 Jan Kurik 2016-07-26 05:09:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:42 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Tomas Orsava 2016-08-18 15:54:03 UTC
Status:
New macros are ready to be deployed and a draft for Fedora Packaging Guidelines for Python is fully prepared as well.

https://fedorahosted.org/fpc/ticket/635#comment:7

We are waiting for a new version of the rpm package to drop into rawhide repos (which it hasn't since Friday 12th). After it does, a targeted rebuild of rawhide packages will be done. At that point macros will be deployed and guidelines can be modified. And that will mean this Fedora Change is complete.

Comment 4 Tomas Orsava 2016-08-25 12:42:15 UTC
Status update:
As before new macros and Guidelines draft are ready to be deployed.
However, the guidelines draft should be unveiled only after all Python packages have the new Provides tags generated.

We've been debugging some small issues with the RPM Provides generator that was backported from upstream to Fedora. Right now, all issues seem to be finally fixed.

We had planned to do a new targeted rebuild of all Python packages so the proper Provides tags would be generated and the macros can start to be used ASAP. However, we have decided that we are getting close to the Fedora 26 mass rebuild, and thus a targeted rebuild won't be necessary.



Executive summary:
Everything is ready. We are waiting for Fedora 26 mass rebuild, after which the change to the guidelines should be unveiled.

Comment 5 Jan Kurik 2016-09-29 09:06:14 UTC
On 2016-Sep-27 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 25 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 6 Petr Viktorin 2016-09-29 11:11:11 UTC
The code is in, but supporting macros and the Guidelines change is still being discussed [0].
This can be done after F25 is released with no ill effects.


Formally, the Change wasn't all implemented in time, so we can invoke the contingency plan: "Do not update the Fedora Packaging Guidelines".

[0] https://fedorahosted.org/fpc/ticket/635

Comment 7 Jan Kurik 2016-10-03 08:15:29 UTC
Postponing this Change as suggested in Comment #6 and approced by FESCo in https://fedorahosted.org/fesco/ticket/1630#comment:3

Comment 8 Fedora End Of Life 2017-02-28 10:00:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Petr Viktorin 2017-10-05 14:18:09 UTC
This was done in Fedora 26.


Note You need to log in before you can comment on or make changes to this bug.